Loading...
Searching...
No Matches
gtsam::DoglegParams Class Reference

## Detailed Description

Parameters for Levenberg-Marquardt optimization.

Note that this parameters class inherits from NonlinearOptimizerParams, which specifies the parameters common to all nonlinear optimization algorithms. This class also contains all of those parameters.

Inheritance diagram for gtsam::DoglegParams:

## Public Member Functions

void | print (const std::string &str="") const override
double | getDeltaInitial () const
std::string | getVerbosityDL () const
void | setDeltaInitial (double deltaInitial)
void | setVerbosityDL (const std::string &verbosityDL)
Public Member Functions inherited from gtsam::NonlinearOptimizerParams
size_t | getMaxIterations () const
double | getRelativeErrorTol () const
double | getAbsoluteErrorTol () const
double | getErrorTol () const
std::string | getVerbosity () const
void | setMaxIterations (int value)
void | setRelativeErrorTol (double value)
void | setAbsoluteErrorTol (double value)
void | setErrorTol (double value)
void | setVerbosity (const std::string &src)
bool | equals (const NonlinearOptimizerParams &other, double tol=1e-9) const
bool | isMultifrontal () const
bool | isSequential () const
bool | isCholmod () const
bool | isIterative () const
GaussianFactorGraph::Eliminate | getEliminationFunction () const
std::string | getLinearSolverType () const
void | setLinearSolverType (const std::string &solver)
void | setIterativeParams (const boost::shared_ptr< IterativeOptimizationParameters > params)
void | setOrdering (const Ordering &ordering)
std::string | getOrderingType () const
void | setOrderingType (const std::string &ordering)

## Public Attributes

double | deltaInitial
| The initial trust region radius (default: 10.0).
VerbosityDL | verbosityDL
| The verbosity level for Dogleg (default: SILENT), see also NonlinearOptimizerParams::verbosity.
Public Attributes inherited from gtsam::NonlinearOptimizerParams
size_t | maxIterations = 100
| The maximum iterations to stop iterating (default 100).
double | relativeErrorTol = 1e-5
| The maximum relative error decrease to stop iterating (default 1e-5).
double | absoluteErrorTol = 1e-5
| The maximum absolute error decrease to stop iterating (default 1e-5).
double | errorTol = 0.0
| The maximum total error to stop iterating (default 0.0).
Verbosity | verbosity = SILENT
| The printing verbosity during optimization (default SILENT).
Ordering::OrderingType | orderingType = Ordering::COLAMD
| The method of ordering use during variable elimination (default COLAMD).
IterationHook | iterationHook
| Optional user-provided iteration hook to be called after each optimization iteration (Default: none).
LinearSolverType | linearSolverType = MULTIFRONTAL_CHOLESKY
| The type of linear solver to use in the nonlinear optimizer.
boost::optional< Ordering > | ordering
| The optional variable elimination ordering, or empty to use COLAMD (default: empty).
IterativeOptimizationParameters::shared_ptr | iterativeParams
| The container for iterativeOptimization parameters. used in CG Solvers.

## Public Types

enum | VerbosityDL { SILENT , VERBOSE }
| See DoglegParams::dlVerbosity.
Public Types inherited from gtsam::NonlinearOptimizerParams
enum | Verbosity { SILENT , TERMINATION , ERROR , VALUES , DELTA , LINEAR }
| See NonlinearOptimizerParams::verbosity.
enum | LinearSolverType { MULTIFRONTAL_CHOLESKY , MULTIFRONTAL_QR , SEQUENTIAL_CHOLESKY , SEQUENTIAL_QR , Iterative , CHOLMOD }
| See NonlinearOptimizerParams::linearSolverType.
using | IterationHook
| Type for an optional user-provided hook to be called after each internal optimizer iteration.

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::NonlinearOptimizerParams
static Verbosity | verbosityTranslator (const std::string &s)
static std::string | verbosityTranslator (Verbosity value)

## Member Function Documentation

## print()

void gtsam::DoglegParams::print | ( | const std::string & | str = "" | ) | const

inline override virtual

Reimplemented from gtsam::NonlinearOptimizerParams.

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/DoglegOptimizer.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/DoglegOptimizer.cpp